body {
  --page-preview-width: 50%;
}
body.select-none {
  user-select: none;
}
.has-static-page-preview #layout-body {
  display: flex;
}
.has-visible-static-page-preview #layout-body > .layout-relative {
  width: calc(100% - var(--page-preview-width));
}
.has-resizing-static-page-preview .static-page-preview__iframe {
  pointer-events: none;
}
.static-page-preview {
  width: var(--page-preview-width);
  height: 100vh;
  border: none;
  padding: 0;
  margin: 0;
  background: #fff;
  position: sticky;
  top: 0;
  display: flex;
  align-items: stretch;
  flex-shrink: 0;
  margin-top: -20px;
  border-right: 1px solid #333333;
}
.static-page-preview__resize-handle {
  flex-grow: 0;
  flex-shrink: 0;
  width: 20px;
  height: 100%;
  cursor: move;
  background-color: #ddd;
  border: 1px solid #333333;
  color: #555;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.static-page-preview__resize-handle-icon {
  transform: rotate(90deg);
}
.static-page-preview__inner {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}
.static-page-preview.is-hidden {
  display: none;
}
.static-page-preview__header {
  width: 100%;
  padding: 5px;
  background-color: #ddd;
  border-top: 1px solid #666;
  border-bottom: 1px solid #666;
  flex-grow: 0;
  display: flex;
  justify-content: center;
  position: relative;
}
.static-page-preview__header-button {
  margin: 0 0.5rem;
}
.static-page-preview__header-button[data-control="close-preview-button"] {
  color: #000;
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  margin: 0;
}
.static-page-preview__loading-indicator {
  position: absolute;
  top: 0;
  right: 0;
  display: none;
  height: 100%;
  width: 40px;
}
.static-page-preview__loading-indicator .loading-indicator {
  background-color: transparent;
}
.static-page-preview__loading-indicator.active {
  display: block;
}
.static-page-preview__iframe {
  width: 100%;
  flex-grow: 1;
  border: none;
}

.preview-inline-editing {
  outline: 2px solid var(--preview-inline-editing-outline-color, lightblue) !important;
}
